#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include "xgamma.h"
#include "input.h"

Widget toplevel;
XtAppContext context;


main(argc, argv)
int argc;
char** argv;
{
    toplevel = XtInitialize("main", "Demo", NULL, 0, &argc, argv);

    if (argc != 1)  {
	fprintf(stderr, "Usage: xgamma\n";
	exit(1);
	}

    input_init();

    context = XtWidgetToApplicationContext(toplevel);
    XtAppAddInput(context, gamma_sock, XtInputReadMask, input_select, 0); 

    XtRealizeWidget(toplevel);
    XtMainLoop();
}
