#ifndef _EdgeP_h
#define _EdgeP_h

#include "Edge.h"
/* include superclass private header file */
#include <X11/CoreP.h>


typedef struct {
    int empty;
    } EdgeClassPart;

typedef struct _EdgeClassRec {
    CoreClassPart	core_class;
    EdgeClassPart	edge_class;
    } EdgeClassRec;

extern EdgeClassRec edgeClassRec;


typedef struct {
    /* resources */
    Pixel foreground;
    Orientation orientation;

    /* private state */
    GC gc;
    } EdgePart;

typedef struct _EdgeRec {
    CorePart	core;
    EdgePart	edge;
    } EdgeRec;

#endif  _EdgeP_h
