#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Edge.h"

Widget toplevel;
Widget edge;


main(argc, argv)
int argc;
char** argv;
{
    Arg arg;
    int i;

    toplevel = XtInitialize("main", "Demo", NULL, 0, &argc, argv);

    if (argc != 1)  {
	fprintf(stderr, "Usage: test\n");
	exit(1);
	}

    edge = XtCreateManagedWidget("edge", edgeWidgetClass, toplevel,
					NULL, 0);

    arg.name = XtNorientation;
    arg.value = (XtArgVal) Verticle;

    XtSetValues(edge, &arg, 1);
    XtRealizeWidget(toplevel);
    XtDestroyWidget(toplevel);
    XtMainLoop();
}



