#ifndef _SelectP_h
#define _SelectP_h

#include "Select.h"
/* include superclass private header file */
#include <X11/Xaw/FormP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRSelectResource		"SelectResource"

typedef struct {
    int empty;
    } SelectClassPart;

typedef struct _SelectClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    FormClassPart	form_class;
    SelectClassPart	select_class;
    } SelectClassRec;

extern SelectClassRec selectClassRec;


typedef struct {
    /* resources */
    int empty;

    /* private state */
    Widget dummy_edge1;
    Widget dummy_edge2;
    Widget node;
    Widget top_edge;
    } SelectPart;

typedef struct _SelectRec {
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    FormPart		form;
    SelectPart	select;
    } SelectRec;


typedef struct { int empty; } SelectConstraintsPart;

typedef struct _SelectConstraintsRec {
    FormConstraintsPart	form;
    SelectConstraintsPart select;
    } SelectConstraintsRec, *SelectConstraints;

#endif  _SelectP_h
