#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Node.h"
#include "Spool.h"

Widget toplevel;
Widget spool_node;

main(argc, argv)
int argc;
char** argv;
{
    Arg arg;
    int i;
    Widget spoolw;
    static Arg targs[] = {
	{XtNdefaultDistance, 0},
	};

    toplevel = XtInitialize("main", "Demo", NULL, 0, &argc, argv);

    if (argc != 1)  {
	fprintf(stderr, "Usage: test\n");
	exit(1);
	}

    spool_node = XtCreateManagedWidget("Spool", spoolWidgetClass, 
					toplevel, targs, XtNumber(targs));

    spoolw = XtSGetSpoolWidget(spool_node);
    for (i = 0; i < 32; i++)  {
	switch(i % 3)  {
	    case 0:
		XtSetArg(arg, XtNinitiate, i);
		break;
	    case 1:
		XtSetArg(arg, XtNscheduled, i);
		break;
	    case 2:
		XtSetArg(arg, XtNdone, i);
		break;
	    }

	XtSetValues(spoolw, &arg, 1);
	}

    XtRealizeWidget(toplevel);
    
    XtMainLoop();
}



