#ifndef _StoreP_h
#define _StoreP_h

#include "Store.h"
/* include superclass private header file */
#include <X11/Xaw/FormP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRStoreResource		"StoreResource"

typedef struct {
    int empty;
    } StoreClassPart;

typedef struct _StoreClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    FormClassPart	form_class;
    StoreClassPart	store_class;
    } StoreClassRec;

extern StoreClassRec storeClassRec;


typedef struct {
    /* resources */
    int empty;

    /* private state */
    Widget dummy_edge1;
    Widget dummy_edge2;
    Widget node;
    } StorePart;

typedef struct _StoreRec {
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    FormPart		form;
    StorePart	store;
    } StoreRec;


typedef struct { int empty; } StoreConstraintsPart;

typedef struct _DialogConstraintsRec {
    FormConstraintsPart	form;
    StoreConstraintsPart store;
    } StoreConstraintsRec, *JoinBuldConstraints;

#endif  _StoreP_h
