#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Select.h"
#include "Join.h"

Widget toplevel;
Widget joinBuild;
XtAppContext context;

void change_state();

main(argc, argv)
int argc;
char** argv;
{
    Arg arg;
    int i;
    Widget sel;

    toplevel = XtInitialize("main", "Demo", NULL, 0, &argc, argv);

    if (argc != 1)  {
	fprintf(stderr, "Usage: test\n");
	exit(1);
	}

    joinBuild = XtCreateManagedWidget("join", joinWidgetClass, 
					toplevel, NULL, 0);

    sel = XtJGetSelectWidget(joinBuild);

    XtSetArg(arg, XtNinitiate, 10);
    XtSetValues(sel, &arg, 1);
    XtSetArg(arg, XtNinitiate, 0);
    XtSetValues(sel, &arg, 1);

    XtRealizeWidget(toplevel);
    
    XtMainLoop();
}



