#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Node.h"
#include "Select.h"

Widget toplevel;
Widget select_node;

main(argc, argv)
int argc;
char** argv;
{
    Arg arg;
    int i;
    Widget joinp;

    toplevel = XtInitialize("main", "Demo", NULL, 0, &argc, argv);

    if (argc != 1)  {
	fprintf(stderr, "Usage: test\n");
	exit(1);
	}

    select_node = XtCreateManagedWidget("Select", selectWidgetClass, 
					toplevel, NULL, 0);

    joinp = XtSGetSelectWidget(select_node);
    for (i = 0; i < 32; i++)  {
	switch(i % 3)  {
	    case 0:
		XtSetArg(arg, XtNinitiate, i);
		break;
	    case 1:
		XtSetArg(arg, XtNscheduled, i);
		break;
	    case 2:
		XtSetArg(arg, XtNdone, i);
		break;
	    }

	XtSetValues(joinp, &arg, 1);
	}

    XtRealizeWidget(toplevel);
    
    XtMainLoop();
}



