#ifndef _Select_h
#define _Select_h

/****************************************************************
 *
 * Select widget
 *
 ****************************************************************/

#include "Node.h"
#include <X11/Xaw/Form.h>



/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0
 foreground          Foreground         Pixel           XtDefaultForeground
 font                Font               XFontStruct*    XtDefaultFont
 initiate            Processor          Int             -1
 scheduled           Processor          Int             -1
 idle                Processor          Int             -1
 done                Processor          Int             -1

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

/* declare specific SelectWidget class and instance datatypes */

typedef struct _SelectClassRec*	SelectWidgetClass;
typedef struct _SelectRec*	SelectWidget;

/* declare the class constant */

extern WidgetClass selectWidgetClass;


extern Widget XtSGetSelectWidget();

#endif  _Select_h
